Deep Security Manager REST API

Path: / rest / events / antimalware

Get AntiMalware events


Resources
NameDescription
{eventId}Get AntiMalware with specific event id.

Method Summary
ResourceDescription
GET /rest/events/antimalware?eventId=…&eventIdOp=…&maxItems=…&sID=…Get AntiMalware events

Method Detail
HTTP Example:
GET /rest/events/antimalware?eventId=…&eventIdOp=…&maxItems=…&sID=…

API Example:

IEventAPI.getAntiMalwareEvents({'eventId': /* eventId the event id to query for events. */,
  'eventIdOp': /* eventIdOp defined the events to return. */,
  'maxItems': /* maxItems the maximum events to return */,
  'sID': /* sID session ID. */});

Get AntiMalware events

Output:
AntiMalwareEventListing - a AntiMalwareEventListing, a collection of the events meet the given criteria.
Query parameters:
eventId - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
eventIdOp - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
maxItems - the maximum events to return
sID - session ID.
Produces:
application/json
application/xml

Copyright © 2015 Trend Micro Inc. All Rights Reserved.